( cd usr/lib64/f-spot ; rm -rf libfspotjpegtran.so )
( cd usr/lib64/f-spot ; ln -sf libfspotjpegtran.so.0.0.0 libfspotjpegtran.so )
( cd usr/lib64/f-spot ; rm -rf libfspoteog.so.0 )
( cd usr/lib64/f-spot ; ln -sf libfspoteog.so.0.0.0 libfspoteog.so.0 )
( cd usr/lib64/f-spot ; rm -rf libfspoteog.so )
( cd usr/lib64/f-spot ; ln -sf libfspoteog.so.0.0.0 libfspoteog.so )
( cd usr/lib64/f-spot ; rm -rf libfspot.so.0 )
( cd usr/lib64/f-spot ; ln -sf libfspot.so.0.0.0 libfspot.so.0 )
( cd usr/lib64/f-spot ; rm -rf libfspot.so )
( cd usr/lib64/f-spot ; ln -sf libfspot.so.0.0.0 libfspot.so )
( cd usr/lib64/f-spot ; rm -rf libfspotjpegtran.so.0 )
( cd usr/lib64/f-spot ; ln -sf libfspotjpegtran.so.0.0.0 libfspotjpegtran.so.0 )

if [ -x usr/bin/rarian-sk-update ]; then
  usr/bin/rarian-sk-update 1> /dev/null 2> /dev/null
fi

if [ -x usr/bin/update-desktop-database ]; then
  usr/bin/update-desktop-database 1> /dev/null 2> /dev/null
fi

for i in gnome hicolor
do
    if [ -e usr/share/icons/$i/icon-theme.cache ]; then
        rm -f usr/share/icons/$i/icon-theme.cache
    fi
    usr/bin/gtk-update-icon-cache -f -q --ignore-theme-index usr/share/icons/$i
done
